## List recipients

### cURL

```
curl --request GET \
  --url 'https://payouts.api.trykarat.com/recipients?limit=100' \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://payouts.api.trykarat.com/recipients?limit=100"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://payouts.api.trykarat.com/recipients?limit=100', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response Codes

- **200**
- **401**

```
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com",
      "nickname": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "onboardingUrl": "<string>"
    }
  ],
  "meta": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}
```

```
{
  "error": {
    "message": "Invalid api key"
  }
}
```

### Authorizations

**Authorization**

- **Type:** string
- **Location:** header
- **Required:** Pass your API key as a bearer token: `Authorization: Bearer <API_KEY>`.

### Query Parameters

#### limit
- **Type:** integer
- **Default:** 100
- **Description:** Maximum number of results to return (max 100, default 100).
- **Required range:** `1 <= x <= 100`

#### offset
- **Type:** integer
- **Default:** 0
- **Description:** Number of results to skip for pagination (default 0).
- **Required range:** `x >= 0`

### Response

- **Code:** 200
- **Content-Type:** application/json
- **Description:** A paginated list of recipients.

### Response Structure

- **data:** object[]
- **meta:** object
